:root {
    --bg: white;
    --text: #000;
    --display-bg: #e7e7e7;
    --button-bg: #ececec;
    --top-border-bg: #f5f5f5;
    --top-border-button-bg: #e9e9e9;
    --button-active-bg: #ccc;
}

.dark {
    --bg: #1a1a1a;
    --text: #fff;
    --display-bg: #424242;
    --button-bg: #b4b4b4;
    --top-border-bg: #424242;
    --top-border-button-bg: #303030;
    --button-active-bg: #4e4e4e;
}

* {
    transition: background-color .2s, color .2s;
}


body {
    background-color: var(--bg);
    color: var(--text);
}

.header {
    background-color: var(--top-border-bg);
    display: flex;
    justify-content: space-between;
    padding: 10px;
    border-radius: 10px;
} 

.header-buttons {
    display: flex;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 10px;
}
.header-buttons button {
    flex: 1;
    width: 100px;   
}

.calculator {
    width: 300px;
    margin: 40px auto;
    font-family: Arial;
}

.display {
    background: var(--display-bg);
    color: var(--text);
    padding: 20px;
    font-size: 24px;
    text-align: right;
    border-radius: 5px;
    margin-bottom: 10px;
}

.buttons {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 8px;
}

.buttons button{
    background-color: var(--button-bg);
    color: var(--text);
}

button {
    background-color: var(--top-border-button-bg);
    color:  var(--text);
    padding: 20px;
    font-size: 18px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    touch-action: manipulation;
}

button:active {
    background-color: var(--button-active-bg);
}
button:hover {
    filter: brightness(0.95);
}


@media (max-width: 600px) {
    .calculator {
        width: 100%;
        max-width: 450px;
        margin: 20px auto;
    }

    .display {
        font-size: 32px;
        padding: 25px;
    }

    .buttons button {
        padding: 25px;
        font-size: 20px;
    }

    .header {
        padding: 15px;
    }

    .header-buttons {
        flex-direction: column;
    }
}
